#ifndef STACK_HPP_INCLUDED
#define STACK_HPP_INCLUDED

class Stack // egsz szmokat trol verem tpus
{
    private:
        int _values[100]; // rtkek tmbje
        int _top; // a tetelem indexe
    public:
        Stack(); // konstruktor
        bool isEmpty() const; // res-e a verem
        bool isFull() const; // tele van-e a verem
        bool push(int value); // elem behelyezse
        int pop(); // elem kivtele
        int top() const; // tetelem lekrdezse
        void clear(); // elemek trlse
        int size() const; // mret lekrdezse
};

#endif // STACK_HPP_INCLUDED
